Bug 429821 (CVE-2008-0128) - CVE-2008-0128 tomcat5 SSO cookie login information disclosure
Summary: CVE-2008-0128 tomcat5 SSO cookie login information disclosure
Status: CLOSED ERRATA
Alias: CVE-2008-0128
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=cve,public=20061220,reported=2...
Keywords: Reopened, Security
Depends On: 429826 429827 429828 429829 429830 429831 429834 429835 429903 429904 429905 440521 445320 449337 470236 470237
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2008-01-23 09:21 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:27 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-06-06 05:56:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0630 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server security update 2008-08-13 14:55:17 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Marc Schoenefeld 2008-01-23 09:21:50 UTC
Description of problem:

from [http://issues.apache.org/bugzilla/show_bug.cgi?id=41217]

"""When using the SingleSignOn Valve
(org.apache.catalina.authenticator.SingleSignOn) via https the Cookie
JSESSIONIDSSO is transmitted without the "secure" attribute, resulting in it
being transmitted to any content that is - by purpose or error - requested via
http from the same server. 

As the content of the SSO-Cookie is confidential (it will lead to automatically
logged in sessions in other contexts - https or non-https) this should never
happen. """

Also according to the asf bz the upstream versions before 5.5.21 are vulnerable.

Comment 9 errata-xmlrpc 2010-08-04 21:31:31 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.